<?php
if(!session_id()) session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['contenedor']) $contenedor=$_GET['contenedor']; else $contenedor=$_POST['contenedor'];

if($_GET['lote']!='') $lote=$_GET['lote']; else if($_POST['lote']!='') $lote=$_POST['lote'];

$fechasCaducidadContenedorActual=array();

//10-2-2022 estos datos los pasamos por post porque el session_start(); hace que se ralentice hasta el extremo
$verEnCajas=$_POST['verEnCajas'];
$combinacionesUbicacionesContenedores=unserialize($_POST['combinacionesUbicacionesContenedores']);

foreach($combinacionesUbicacionesContenedores as $item) {
	if( $item['Contenedor']==$contenedor && ( !$lote || ($lote && $item['Lote']==$lote) ) ) {
		if(!in_array($item['FechaCaducidad'],$fechasCaducidadContenedorActual)) $fechasCaducidadContenedorActual[]=$item;
	}
}

//14-02-2023
$mantenerSerie=$_POST['mantenerSerie'];
$mantenerEntrada=$_POST['mantenerEntrada'];
$mantenerDocEntrada=$_POST['mantenerDocEntrada'];

//14-05-2026 TAREA INTERNA 75040
$mostrarPaisOrigen=(isset($_SESSION['parametrosSGA']['GestionPaisOrigen']) && $_SESSION['parametrosSGA']['GestionPaisOrigen']=='S');

if( count($fechasCaducidadContenedorActual)>0 ) {

	if( count($fechasCaducidadContenedorActual)>1 ) {
	
		?>
		<p>Fechas de Caducidad de este producto disponibles en el Contenedor <?php echo $contenedor; ?><?php if($lote) { ?> para el Lote <?php echo $lote; ?><?php } ?></p>
        
        <table class="tablaFormateada">
		<tr>
			<th>Fecha Caducidad</th>
            
            <?php if($mostrarPaisOrigen) { ?>
            <th>País origen</th>
            <?php } ?>
            
            <?php if($mantenerSerie) { ?><th>Nº Serie</th><?php } ?>
			<?php if($mantenerEntrada) { ?><th>Entrada</th><?php } ?>
            <?php if($mantenerDocEntrada) { ?><th>Documento</th><?php } ?>
            
			<th>Stock</th>
			<?php if($verEnCajas=='S') { ?><th>Cajas</th><?php } ?>
			<th></th>
		</tr>
		<?php
		foreach($fechasCaducidadContenedorActual as $item) {
			?>
			<tr class="selectorLote <?php if($item['FechaCaducidadEstado']=='CADUCADO') { ?>rojo<?php } ?><?php if($item['FechaCaducidadEstado']=='PROXIMOACADUCAR') { ?>azul<?php } ?>" fechaCaducidad="<?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?>" FechaCaducidadEstado="<?php echo $item['FechaCaducidadEstado']; ?>" paisOrigen="<?php if(isset($item['PaisOrigenCodigo'])) echo $item['PaisOrigenCodigo']; ?>">
				<td><?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?></td>
                
                 <?php if($mostrarPaisOrigen) { ?>
                <td><?php echo $item['PaisOrigenCodigo']; ?></th>
                <?php } ?>
                
                <?php if($mantenerSerie) { ?><td><?php echo $item['NumSerie']; ?></td><?php } ?>
				<?php if($mantenerEntrada) { ?><td><?php echo $item['NumEntrada']; ?></td><?php } ?>
                <?php if($mantenerDocEntrada) { ?><td><?php echo $item['NumDocEntrada']; ?></td><?php } ?>
                
				<td align="right"><?php echo formateaNumeroDecimal($item['Stock']); ?><?php //echo number_format($item['Stock'],0,',','.'); ?></td>
				<?php if($verEnCajas=='S') { ?><td align="right"><?php echo formateaNumeroDecimal($item['StockCajas']); ?><?php //echo number_format($item['StockCajas'],0,',','.'); ?></td><?php } ?>
				<td><img src="<?php echo DIR_IMAGENES; ?>/select.png" alt="Seleccionar" width="50" height="50" class="clicable"/></td>
			</tr>
			<?php
		}
		?>
		</table>
        
	<?php
    }
	else {
		$fechaCaducidadUnica=fechaNacional(fechaDesdeProxium($fechasCaducidadContenedorActual[0]['FechaCaducidad']));
		$loteFechaCaducidadUnica=$fechasCaducidadContenedorActual[0]['Lote'];
		$FechaCaducidadEstadoUnico=$lotesContenedorActual[0]['FechaCaducidadEstado'];
		//echo "<p>En el contenedor ".$contenedor." para el lote: ".$lote." solo existe la fecha cad: ".$fechaCaducidadUnica." con el lote encontrado: ".$loteFechaCaducidadUnica."</p>";
		if(isset($fechasCaducidadContenedorActual[0]['PaisOrigenCodigo'])) $paisOrigenUnico=$fechasCaducidadContenedorActual[0]['PaisOrigenCodigo']; else $paisOrigenUnico='';
		echo "unico";
	}
	
} else {

	?><p>No hay Fechas de Caducidad disponibles de este producto en el Contenedor <?php echo $contenedor; ?><?php if($lote) { ?> para el Lote <?php echo $lote; ?><?php } ?></p><?php
    
}
?>
    
<p><input type="submit" name="aceptarBusquedaFechasCaducidad" id="aceptarBusquedaFechasCaducidad" value="Aceptar" class="boton botonSecundario"/></p>

<script>

$(document).ready(function() {

	<?php if( count($fechasCaducidadContenedorActual)>1 ) { ?>

		$('.selectorLote').on('click',function(e){
			
			e.preventDefault();
			
			var fechaCaducidad=$(this).attr('fechaCaducidad');
			$('#fechaCaducidad').val(fechaCaducidad);
			
			var FechaCaducidadEstado=$(this).attr('FechaCaducidadEstado');
			$('#FechaCaducidadEstado').val(FechaCaducidadEstado);
			
			<?php if($mostrarPaisOrigen) { ?>
			var paisOrigen=$(this).attr('paisOrigen');
			$('#paisOrigen').val( paisOrigen );
			<?php } ?>
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
		});
	
		$('#aceptarBusquedaFechasCaducidad').on('click',function(e){
			
			e.preventDefault();
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
			
		});
	
	<?php } else { ?>
	
		$('#fechaCaducidad').removeClass('campoError');
		$('#fechaCaducidad').val( '<?php echo $fechaCaducidadUnica; ?>' );
		$('#FechaCaducidadEstado').val('<?php echo $FechaCaducidadEstadoUnico; ?>');
		
		<?php if(!$lote) { ?>
		$('#lote').val( '<?php echo $loteFechaCaducidadUnica; ?>' );
		$('#fechaCaducidadUnica').val( '<?php echo $loteFechaCaducidadUnica; ?>' );
		<?php } ?>
		
		<?php if($mostrarPaisOrigen) { ?>
		$('#paisOrigen').val( '<?php echo $paisOrigenUnico; ?>' );
		<?php } ?>
		
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		
		<?php if($loteFechaCaducidadUnica) { ?>
		bloqueaCampoFechaCaducidad(true);
		<?php if($loteFechaCaducidadUnica) { ?>bloqueaCampoLote(true);<?php } ?>
		cambiaFocoSecuenciaAutomatica(); //??
		<?php } ?>
	
	<?php } ?>
	
});

</script>